Bug 68081 - UI: can't auto-scroll many dialogs spinners holding mouse click
Summary: UI: can't auto-scroll many dialogs spinners holding mouse click
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other All
: medium minor
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.2.0 target:4.1.2 target:4.0.6
Keywords: regression
Depends on:
Blocks:
 
Reported: 2013-08-13 20:17 UTC by crxssi
Modified: 2013-10-07 13:41 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshot showing spinner arrows (40.97 KB, image/png)
2013-08-13 20:17 UTC, crxssi
Details

Note You need to log in before you can comment on or make changes to this bug.
Description crxssi 2013-08-13 20:17:57 UTC
Created attachment 84028 [details]
screenshot showing spinner arrows

Spinner dialog arrows are not auto-repeating when held down in any of the dialogs.

Steps to reproduce:

* Activate Format-> Page -> Page
* Point cursor on the up arrow on Paper format-> Width
* Press and hold down that on-screen button
* Notice that the value goes up in one increment and never goes any further, no matter how long you hold it down.

Tested as FAIL in RHEL 6, LO 4.1.0.4 (vanilla)
Tested as working fine in RHEL 6, LO 4.0.0 (vanilla)
Tested as working fine in Fedora 17, LO 4.0.2.2 (vanilla)
Tested as working fine in Mageia 3, LO 4.0.4.2 (Mageia compile)

Attached a screenshot showing what spinner arrows are.  I suspect this would be called a "regression".
Comment 1 tommy27 2013-08-23 13:09:32 UTC
it works fine in 4.0.1.4 under Win7 64bit.
probably a Linux specific bug.
adding regression keyword according to previous comment.
Comment 2 crxssi 2013-08-23 21:46:09 UTC
(In reply to comment #1)
> it works fine in 4.0.1.4 under Win7 64bit.
> probably a Linux specific bug.
> adding regression keyword according to previous comment.

Add:

Tested as FAIL in Mageia 3,  LO 4.1.0.4 (vanilla)
Tested as FAIL in WinXP SP2, LO 4.1.0.4 (vanilla) ((under VirtualBox))

So it is not Linux specific.  Need confirmation by someone else.
Comment 3 tommy27 2013-08-24 07:32:11 UTC
as said before my test were done on Win7 64bit.
have your tests been done on 32 or 64 bit O/S?
Comment 4 crxssi 2013-08-24 11:32:10 UTC
(In reply to comment #3)
> have your tests been done on 32 or 64 bit O/S?

Info added as requested:

Tested as FAIL in         RHEL 6,    64bit, LO 4.1.0.4 (vanilla)
Tested as FAIL in         Mageia 3,  64bit, LO 4.1.0.4 (vanilla)
Tested as FAIL in         WinXP SP2, 32bit, LO 4.1.0.4 (vanilla)
Tested as working fine in RHEL 6,    64bit, LO 4.0.0   (vanilla)
Tested as working fine in Fedora 17, 32bit, LO 4.0.2.2 (vanilla)
Tested as working fine in Mageia 3,  64bit, LO 4.0.4.2 (Mageia compile)
Comment 5 tommy27 2013-08-24 12:39:01 UTC
thanks 4 info. I could make a test on WinXp 32bit but not before early september.
I encourage other Linux users to try replicating this  bug.
Comment 6 crxssi 2013-08-24 23:59:41 UTC
Tommy was reporting it as working fine, but in an OLDER version of LibreOffice, one I already reported as working fine.  I am pretty confident this problem is a regression against 4.1 and on all platforms.

However, I do need to also post a correction.  The spinners are apparently not broken *everywhere*, as I originally reported, just in most places.  There are actually places that they still work correctly.  I assumed they were broken everywhere until I tested more dialogs in detail.  Here are some examples from Writer:

----Broken:
Format-> Page,  EVERYWHERE
Insert-> Frame-> Borders, Background, Columns
Format-> Paragraph-> Text Flow, Outline, Borders
Format-> Character-> Position
Tools-> Options; LibreOffice-> General, Memory, View, Print, Colors, Writer-> Comparison
Insert-> Index/Table-> Index/Table-> Columns
New-> Labels-> Options
File-> Print-> General

----Working:
Insert-> Frame-> Type, Wrap
Format-> Paragraph-> Indent, Drop caps
Tools-> Options; Load/Save -> HTML Compat, Writer-> General, Grid, Table
Insert-> Index/Table-> Index/Table-> Index/Table
New-> Labels-> Format

I didn't test everywhere, of course, and that was just Writer!  It is broken randomly in Calc and Draw too.  Quite a mess of inconsistency.
Comment 7 tommy27 2013-08-25 07:43:56 UTC
(In reply to comment #1)
> it works fine in 4.0.1.4 under Win7 64bit.

Sorry, it was a typing error. I meant 4.1.0.4.
I confirm it works in Win7 64bit in many of the broken places you reported (I did not check them all).

We need another Linux or WinXP 32bit user trying to replicate this.
Comment 8 crxssi 2013-09-04 14:33:15 UTC
Still broken in 4.1.1.2
Comment 9 tommy27 2013-09-04 17:33:09 UTC
@ crxssi

You were right!!! Bug exists in 4.1.x versions(both XP 32bit and Win7 64bit) while the bug doesn't exist in 4.0.x releases.

I was fooled by the summary notes:
"UI: up/down arrow buttons don't auto repeat on many dialogs spinners"

I thought you were talkin about arrow-key (that indeed do work) while after reading again the description, now I see you talked about holding mouse pressure on the spinner arrow.

I'm changing status to NEW and adding a clearer description in summary.
Comment 10 tommy27 2013-09-04 17:34:54 UTC
adding UI and Writer experts to CC list.

@Ivan and
Comment 11 tommy27 2013-09-04 17:35:40 UTC
@Ivan and Micheal
who's gonna take a look at this recent regression?
Comment 12 Michael Stahl (CIB) 2013-09-04 17:50:57 UTC
sounds like problem would be in VCL anyway
Comment 13 Commit Notification 2013-09-06 11:31:59 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f96771165ea145a759f1bab76cd34bb70def04f6

Resolves: fdo#68081 why would I want a spinner that doesn't repeat



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 14 Commit Notification 2013-09-06 12:39:35 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=cf13e4cfaa6de93b746c93d7a677224f56b0eeb4&h=libreoffice-4-1

Resolves: fdo#68081 why would I want a spinner that doesn't repeat


It will be available in LibreOffice 4.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 15 Commit Notification 2013-09-06 12:39:57 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c54873c97b2bf1deee964ad05ae7206011288087&h=libreoffice-4-0

Resolves: fdo#68081 why would I want a spinner that doesn't repeat


It will be available in LibreOffice 4.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2013-09-11 10:43:27 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-4-1-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1e519ef68370c396c59321497b0415a60bd2b021&h=libreoffice-4-1-2

Resolves: fdo#68081 why would I want a spinner that doesn't repeat


It will be available already in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 17 crxssi 2013-10-07 13:41:07 UTC
I am verifying that this issue is, indeed, fixed in 4.1.2.3.  Thanks!